Skip to content
DELETE /unified/emails/emails/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

attachmentsobject[]

The attachments of the email

content_typestring

The content type of the attachment

created_atstring · date-time

The time when the attachment was created

file_namestring

The attachment's name

file_urlstring

The URL to download the attachment

idstring

The unique identifier for the attachment

bccstring[]

BCC email addresses

ccstring[]

CC email addresses

contentobject
typestring

Content type of the email

Possible values:
plain_texthtml
valuestring

The body of the email in the selected format

created_atstring · date-time

The date and time the email was created

folderobject

The folder where the email is stored

idstring

The unique identifier for a folder

fromstring

Sender email address

headersobject

Custom headers for the email

idstring

The unique identifier for the email

is_draftboolean

Indicates whether the email is saved as a draft (created but not sent yet). If true, the email is still edited or waiting to be sent

Possible values:
truefalse
prioritystring

Priority of the email

Possible values:
highnormallow
remote_dataRecord<string, any>

Raw data returned from the remote API call.

reply_tostring[]

Reply-to email address

sent_atstring · date-time

The date and time the email was sent

subjectstring

Email subject

tostring[]

Recipient email addresses

updated_atstring · date-time

The date and time the email was last updated

urlsobject[]

The email's urls

typestring

The email's URL type

urlstring

The email's URL

curl -X DELETE 'https://api.truto.one/unified/emails/emails/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/emails/emails/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/emails/emails/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.delete(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.delete(
  'emails',
  'emails',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.delete(
        "emails",
        "emails",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())